Bug 151722 - CAN-2005-0401 Drag and drop loading of privileged XUL
CAN-2005-0401 Drag and drop loading of privileged XUL
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mozilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-03-21 15:42 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-28 15:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-03-21 15:42:31 EST
+++ This bug was initially created as a clone of Bug #151714 +++

A malicious page that could lure a user into dragging something (such
as a fake scrollbar) can bypass the restriction on opening privileged
XUL. The startup scripts in the XUL will run with enhanced privilege,
though the actions taken upon merely opening most XUL are benign. So
far no way to run arbitrary code supplied by the attacker has been
found, but this could be a stepping-stone to future attacks.

Disable Javascript. Upgrade to the fixed version.

Comment 1 Josh Bressers 2005-03-21 15:49:12 EST
This issue should also affect RHEL2.1
Comment 2 Mark J. Cox (Product Security) 2005-04-22 05:11:09 EDT
removing embargo
Comment 3 Josh Bressers 2005-04-28 15:11:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.